######################################################################
# Mu (Miscellaneous Utilities) is a general convenience library.     #
# Copyright (C) 2020  Asher Gordon <AsDaGo@posteo.net>               #
#                                                                    #
# This file is part of Mu.                                           #
#                                                                    #
# Mu is free software: you can redistribute it and/or modify it      #
# under the terms of the GNU General Public License as published by  #
# the Free Software Foundation, either version 3 of the License, or  #
# (at your option) any later version.                                #
#                                                                    #
# Mu is distributed in the hope that it will be useful, but WITHOUT  #
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY #
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public   #
# License for more details.                                          #
#                                                                    #
# You should have received a copy of the GNU General Public License  #
# along with Mu.  If not, see <https://www.gnu.org/licenses/>.       #
######################################################################

# This file provides variables that contain the example
# programs. Include this in ../Makefile.am and Makefile.am.

# Example programs for which we need to generate output.
EXAMPLES_OUTPUT = option-callback option-ordered option-help	\
		  subopts environ format

# All examples programs.
EXAMPLES = $(EXAMPLES_OUTPUT) option-callback-wrong

# All example Texinfo files.
EXAMPLE_TEXIS = $(EXAMPLES:%=%.c.texi) $(EXAMPLES_OUTPUT:%=%.output.texi)

# All example source files.
EXAMPLE_CS = $(EXAMPLES:%=%.c)

# All example output specification files.
EXAMPLE_RUNS = $(EXAMPLES_OUTPUT:%=%.run)
